Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 209870 - Prozilla - Advanced Linux download manager
Summary: Prozilla - Advanced Linux download manager
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: prozilla
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chitlesh GOORAH
QA Contact: Fedora Extras Quality Assurance
URL: http://prozilla.genesys.ro/
Whiteboard:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-10-07 06:25 UTC by kushaldas@gmail.com
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-02 12:23:49 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
prozilla.spec (deleted)
2006-12-10 02:42 UTC, Chitlesh GOORAH
no flags Details

Description kushaldas@gmail.com 2006-10-07 06:25:51 UTC
Review request for a new release.
Spec URL:  http://freeshell.in/~kushal/prozilla.spec
SRPM URL:  http://freeshell.in/~kushal/prozilla-2.0.4-1.src.rpm

rpmlint output :
[kd@kushal redhat]$ rpmlint ./RPMS/i386/prozilla-2.0.4-1.i386.rpm
W: prozilla hidden-file-or-dir /usr/share/locale/ro/LC_MESSAGES/.mo
W: prozilla hidden-file-or-dir /usr/share/locale/it/LC_MESSAGES/.mo
W: prozilla hidden-file-or-dir /usr/share/locale/pt_BR/LC_MESSAGES/.mo
W: prozilla hidden-file-or-dir /usr/share/locale/nl/LC_MESSAGES/.mo

Comment 1 kushaldas@gmail.com 2006-10-07 06:34:21 UTC
typo fixed

Comment 2 Chitlesh GOORAH 2006-10-09 15:32:00 UTC
You can't assign a review to yourself if you are the bug reporter :p

I'll do the reviewer !

Comment 3 Chitlesh GOORAH 2006-10-09 15:52:10 UTC
#1 : BuildRoot is incorrect !
see
http://fedoraproject.org/wiki/Packaging/Guidelines#head-f196e7b2477c2f5dd97ef64e8eacddfb517f1aa1

#2 : %makeinstall macro should not be used !
see
http://fedoraproject.org/wiki/Packaging/Guidelines#head-f196e7b2477c2f5dd97ef64e8eacddfb517f1aa1makeins

#3 don't ship %{_libdir}/libprozilla.la and %{_libdir}/libprozilla.a. Delete
them during %install

#4 don't shipt#No idea why these files are here..
%ghost /usr/share/locale/it/LC_MESSAGES/.mo
%ghost /usr/share/locale/nl/LC_MESSAGES/.mo
%ghost /usr/share/locale/pt_BR/LC_MESSAGES/.mo
%ghost /usr/share/locale/ro/LC_MESSAGES/.mo

Delete them during %install

#5 no need to ship README twice, but you should rather consider shipping FAQ as
well.

#6 is there a reason why you are using 
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig ?

Comment 4 Frank Arnold 2006-10-09 22:33:44 UTC
(In reply to comment #3)
> #4 don't shipt#No idea why these files are here..
> %ghost /usr/share/locale/it/LC_MESSAGES/.mo
> %ghost /usr/share/locale/nl/LC_MESSAGES/.mo
> %ghost /usr/share/locale/pt_BR/LC_MESSAGES/.mo
> %ghost /usr/share/locale/ro/LC_MESSAGES/.mo
> Delete them during %install

These files almost certainly contain some translation data. They are not 
hidden, instead they just lack a file prefix. I suspect there's something wrong 
with the Makefile or related things. Because these are only 4 languages, this 
must be the translation for libprozilla (I guess the GUI translation works.)

I can't help you much further, sitting in front of Win2000 Box - just pushing 
into the right direction...

Comment 5 kushaldas@gmail.com 2006-10-10 07:50:22 UTC
Hope all fixed :)
Spec URL:  http://freeshell.in/~kushal/prozilla.spec
SRPM URL:  http://freeshell.in/~kushal/prozilla-2.0.4-2.src.rpm



Comment 6 Chitlesh GOORAH 2006-10-11 08:08:06 UTC
Where have the translations gone ?

Comment 7 kushaldas@gmail.com 2006-10-15 09:36:38 UTC
No idea.
I think that is a bug in the makefile.

Comment 8 Chitlesh GOORAH 2006-10-15 10:00:28 UTC
Read Handling Locale Files:
http://fedoraproject.org/wiki/Packaging/Guidelines#head-8c605ebf8330f6d505f384e671986fa99a8f72ee

Comment 9 kushaldas@gmail.com 2006-10-15 11:02:11 UTC
No locale files found after installation.


Comment 10 Chitlesh GOORAH 2006-11-04 11:42:07 UTC
Yes, there are !!!

chitlesh(SOURCES)[0]$ls prozilla-2.0.4/po
cat-id-tbl.c  es.po   fr.po   it.po           nl.gmo  POTFILES.in  proz.pot  
pt_BR.po  ro.po
ChangeLog     fr.gmo  it.gmo  Makefile.in.in  nl.po   prozgui.pot  pt_BR.gmo 
ro.gmo    stamp-cat-id

Have a look at what you have changed from 2.0.4-1 to 2.0.4-2 !


Comment 11 Chitlesh GOORAH 2006-11-05 10:54:25 UTC
Use gettext as BR

%find_lang proz in %install

%files -f proz.lang instead of %files

replace %dir %{_includedir}/prozilla/* by %{_includedir}/prozilla/


Comment 12 kushaldas@gmail.com 2006-11-12 20:00:32 UTC
Doing that comes to an error

No translations found for proz in /var/tmp/prozilla-2.0.4-3-root-root
error: Bad exit status from /var/tmp/rpm-tmp.58160 (%install)


Coz the makefile installing them to the real /usr/share without any name ..



installing pt_BR.gmo as /usr/share/locale/pt_BR/LC_MESSAGES/.mo
installing ro.gmo as /usr/share/locale/ro/LC_MESSAGES/.mo
installing nl.gmo as /usr/share/locale/nl/LC_MESSAGES/.mo
installing it.gmo as /usr/share/locale/it/LC_MESSAGES/.mo


Comment 13 Chitlesh GOORAH 2006-12-09 14:41:42 UTC
Ok, ill have a look at it.
I feel you are having problems with it, do you mind that I co-package prozilla
with you in FE ?

Comment 14 Chitlesh GOORAH 2006-12-10 02:42:55 UTC
Created attachment 143231 [details]
prozilla.spec

Comment 15 Chitlesh GOORAH 2006-12-10 02:44:31 UTC
the makeinstall macro was causing those problems.
the localedir wasn't correctly assigned on the po folders.

Use my spec file (attached)

Comment 16 kushaldas@gmail.com 2006-12-12 04:58:28 UTC
(In reply to comment #13)
> Ok, ill have a look at it.
> I feel you are having problems with it, do you mind that I co-package prozilla
> with you in FE ?
You are welcome :)
Sorry for the late reply

Comment 17 Chitlesh GOORAH 2007-01-02 12:23:49 UTC
I've committed the new changes to the already available prozilla package in FE.
The builds were successful on FC-5,FC-6 and devel.

I'll invite you to have a look at the spec file.

I'm now closing this bug.


Note You need to log in before you can comment on or make changes to this bug.